<?php

get_header();
global $wp_query;

?>

<style type="text/css">
	.et_pb_image_container img, .et_pb_post a img{
		float: left !important;
		padding: 0 30px 0 0;
	}
	.search-title{
		padding: 0px 0px 15px 0px;
	}
	.et_pb_post{
		margin-top: 50px;
	}
	.field{
		height: 39px;
    	width: 80%;
    	padding: 10px;
    	font-size: 25px;
	}
	#searchsubmit{
		height: 40px!important;
	    border: 0px solid #ddd;
	    color: #666;
	    font-size: 14px;
	    padding: 7px 33px 0px 25px;
	    margin: 0px 0 0 -5px;
		}
	.resultados{
		color: #c5c1c1;
	    font-weight: 100;
	    font-size: 15px;
	    margin-top: -25px;
	}
	.linksearchpage a{
		color: #9393ab !important;
	    padding: 15px;
	    background-color: rgb(218, 255, 16);
	    border: 1px solid #d5e647;
	    font-weight: bolder;
	}
	.titulo-resultado{
		padding-bottom: 0 !important;
	}
	.titulo-resultado a{
		color: #3614b5;
		 font-size: 20px;
	}
	.linkresultado{
		color:#006621;
		font-size: 14px;
	}
	#left-area .post-meta a{
		background-color: rgba(255, 251, 140, 0.45);
	    padding: 15px;
	    margin-right: 5px;
	    border: 1px solid #fffb89;
	    color: #7cda24;
	}
	.post-meta{
		margin-top: 15px;
		border-bottom: 1px solid rgba(226, 226, 226, 0.41);
	}
	.et_pb_post {
	    margin-top: 25px;
	}
	#left-area .post-meta {
	    padding-bottom: 11px;
	}
</style>

<div id="main-content">
	<div class="container">
		<div id="content-area" class="clearfix">
			<div id="left-area">
			<div class="search-info">

				<h2 class="search-title"><a href="https://www.linknacional.com.br/criar-site">Blog</a> > Categoria(s):</h2>
				<h2 class="search-title"><?php et_divi_post_meta(); ?></h2>
				
			</div>
		<?php
			if ( have_posts() ) :
				while ( have_posts() ) : the_post();
					$post_format = et_pb_post_format(); ?>

					<article id="post-<?php the_ID(); ?>" <?php post_class( 'et_pb_post' ); ?>>

				<?php
					$thumb = '';
					$width = (int) apply_filters( 'et_pb_index_blog_image_width', 200 );
					$height = (int) apply_filters( 'et_pb_index_blog_image_height', 75 );
					$classtext = 'et_pb_post_main_image';
					$titletext = get_the_title();
					$thumbnail = get_thumbnail( $width, $height, $classtext, $titletext, $titletext, false, 'Blogimage' );
					$thumb = $thumbnail["thumb"];
					et_divi_post_format_content();
					if ( ! in_array( $post_format, array( 'link', 'audio', 'quote' ) ) ) {
						if ( 'video' === $post_format && false !== ( $first_video = et_get_first_video() ) ) :
							printf(
								'<div class="et_main_video_container">
									%1$s
								</div>',
								$first_video
							);
						elseif ( 'gallery' === $post_format ) :
							et_gallery_images();
						elseif ( 'on' == et_get_option( 'divi_thumbnails_index', 'on' ) && '' !== $thumb  ) : ?>
							<a href="<?php the_permalink(); ?>">
								<?php print_thumbnail( $thumb, $thumbnail["use_timthumb"], $titletext, $width, $height ); ?>
							</a>
					<?php
						endif;
					} ?>

				<?php if ( ! in_array( $post_format, array( 'link', 'audio', 'quote', 'gallery' ) ) ) : ?>
					<?php if ( ! in_array( $post_format, array( 'link', 'audio' ) ) ) : ?>
						<h2 class="titulo-resultado"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<a href="<?php the_permalink(); ?>" class="linkresultado"><?php echo the_permalink(); ?></a>
					<?php endif; ?>

					<?php
						//et_divi_post_meta();
						echo '<div class="entry-content">';
							truncate_post( 270 );
						echo '</div>';
					?>
				<?php endif; ?>

					</article> <!-- .et_pb_post -->
			<?php
					endwhile;
					if ( function_exists( 'wp_pagenavi' ) )
						wp_pagenavi();
					else
						get_template_part( 'includes/navigation', 'index' );
				else :
					get_template_part( 'includes/no-results', 'index' );
				endif;
			?>
			</div> <!-- #left-area -->

			<?php get_sidebar(); ?>
		</div> <!-- #content-area -->
	</div> <!-- .container -->
</div> <!-- #main-content -->

<?php get_footer(); ?>